--@Author: 
--@Web: 

SaegewerkPlaceable = {};
SaegewerkPlaceable_mt = Class(SaegewerkPlaceable, Placeable);
InitObjectClass(SaegewerkPlaceable, "SaegewerkPlaceable");

function SaegewerkPlaceable:new(isServer, isClient, customMt)
    local self = Placeable:new(isServer, isClient, SaegewerkPlaceable_mt);
    registerObjectClassName(self, "SaegewerkPlaceable");
    return self;
end;

function SaegewerkPlaceable:delete()
    removeTrigger(self.SprayerFillTriggerId);
    unregisterObjectClassName(self);
    SaegewerkPlaceable:superClass().delete(self);
end;

function SaegewerkPlaceable:deleteFinal()
    SaegewerkPlaceable:superClass().deleteFinal(self);
end;

function SaegewerkPlaceable:load(xmlFilename, x,y,z, rx,ry,rz, moveMode, initRandom)
    if not SaegewerkPlaceable:superClass().load(self, xmlFilename, x,y,z, rx,ry,rz, moveMode, initRandom) then
        return false;
    end;
    local xmlFile = loadXMLFile("TempXML", xmlFilename);
    self.SprayerFillTriggerId = Utils.indexToObject(self.nodeId, getXMLString(xmlFile, "placeable.woodSellTrigger#index"));
    TipTrigger:onCreate(self.SprayerFillTriggerId);
    delete(xmlFile);
    return true;
end;

function SaegewerkPlaceable:update(dt)

	--- Inicio Funcion AutoSave
	g_currentMission.missionDynamicInfo.autoSave = true;
	g_currentMission.autoSaveInterval = 1000000 ;
	--- Fin Funcion AutoSave

end;
registerPlaceableType("SaegewerkPlaceable", SaegewerkPlaceable);

--- Inicio Funcion Consumos Normales
print("Cargado Funcion Consumos Normales");
HiredConsumesResources = {}

function HiredConsumesResources.getIsHired(self)

	return false;

end;
Vehicle.getIsHired = HiredConsumesResources.getIsHired;
--- Fin Funcion Consumos Normales
